Support

Get CSR status

View as Markdown

Retrieves the current status of a Certificate Signing Request (CSR).

Full description

Retrieves the current status of a Certificate Signing Request (CSR). This endpoint allows clients to check if a CSR has been signed, is still pending, or has been rejected. The failureReason field provides additional context when a CSR is rejected.

GET
/v1/agents/{agentId}/csrs/{csrId}/status

Authorization

AuthorizationBearer <token>

GoDaddy OAuth 2.0 access token sent as Authorization: Bearer <token>. The scope(s) listed on each operation are enforced per-operation. A token requires at least one of the scopes listed for that operation; ans.agent-registration:write implies ans.agent-registration:read on every ANS operation. Scopes do not apply to API key authentication.

In: header

Scope: ans.agent-registration:read

Path Parameters

agentId*string

Unique identifier of the agent (UUID format)

csrId*string

Unique identifier of the CSR

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agents/string/csrs/497f6eca-6276-4993-bfeb-53cbbbba6f08/status"
{  "csrId": "3081018b-0577-442d-b092-6e1f08ef6e0d",  "failureReason": "string",  "status": "PENDING",  "submittedAt": "2019-08-24T14:15:22Z",  "type": "SERVER",  "updatedAt": "2019-08-24T14:15:22Z"}

Last updated on

How is this guide?